Wikipédia:Questions techniques/semaine 37 2021

Une page de Wikipédia, l'encyclopédie libre.

Numérotation des sections sous Timeless[modifier le code]

Article(s) ou modèle(s) concerné(s) : Police de la numérotation des sections.

Questions : Bonjour. Cela pose régulièrement des problèmes de confusion lorsqu'un titre de section commence par un chiffre : La typo est exactement semblable pour la numérotation de la section et le nombre (avec l'habillage Timeless en tout cas). Voir un exemple ici qui affiche 5 500 000 au lieu de 500 000. -- Amicalement, Salix [Converser] 13 septembre 2021 à 13:07 (CEST)[]


Message déposé par Amicalement, Salix [Converser] le 13 septembre 2021 à 13:07 (CEST)[]

Réponse apportée ci-dessous.
Notification Salix :
Bonjour,
Tu peux changer l'affichage des numéros via common.css.
Par exemple, pour les mettre en gris :
.mw-headline-number { color: #777; }
Pour ajouter systématiquement un point après le numéro :
.mw-headline-number:after { content: '.'; }
Ces numéros ne sont visibles que quand l'option « Numéroter automatiquement les titres de section » est activée, donc ça ne concerne qu'une minorité des utilisateurs et ce n'est sans doute pas très souvent testé.
Orlodrim (discuter) 13 septembre 2021 à 17:44 (CEST)[]
J'ai mis en gris, c'est parfait. Merci Orlodrim Clin d'œil. -- Amicalement, Salix [Converser] 13 septembre 2021 à 19:06 (CEST)[]

Couleur des cellules d'un tableau[modifier le code]

Liste des ministres italiens de l'Intérieur :

Questions :Bonjour, je suis en train de traduire certains articles italiens sur notre wikipédia français. Je travailles donc en ce moment sur des tableaux de ministres de la vie politique italienne, mais je bloque sur un détail: la coloration des cellules.
en utilisant des (| style="background: #0000FF;") ou (| bgcolor="#0000FF"), cela ne marche pas.je voudrais faire simple, ajouter un attribut de couleur sur chaque début de ligne du tableau, mais sans forcement creer un modèle
Voici l'article de base it:Ministri dell'interno del Regno d'Italia sur le wiki italien
Merci à une bomme âme de me faire sur 2 à 3 lignes afin que je comprenne la technique et afin de le faire sur les autres tableaux en préparations

Message déposé par Plbcr (discuter) le 14 septembre 2021 à 07:43 (CEST)[]

Réponse apportée ci-dessous.
Notification Plbcr : Bonjour. ✔️ Corrigé. Le séparateur "|" était mal placé, j'ai repris les couleurs définies dans it:Modulo:Partiti/Configurazione. PS: il vaut mieux utiliser l'attribut "style=" plutôt que la balise html obsolète bgcolor. Cdlt. Csar62 (discuter) 14 septembre 2021 à 10:10 (CEST)[]
Notification Csar62 : Bonsoir. Merci de votre aide. J'en prend note pour les futurs tableaux. Cdt Plbcr (discuter) 14 septembre 2021 à 19:18 (CEST)[]

Saut de ligne[modifier le code]

Article(s) ou modèle(s) concerné(s) : Angel-Péres

Questions : Comment faire un vrai saut de ligne?

Bonjour,

Je souhaite sauter une ligne pour ne pas créer de décalage dans la mise en page. Problème: ce qui apparaît sur l'éditeur visuel (capture "ce que je veux") ne correspond pas à ce qui apparaît au final (capture "ce que j'obtiens"). Je ne vois pas comment c'est possible avec un éditeur VISUEL, le principe c'est que ça corresponde non?

Même si je saute plein de fois à la ligne le résultat final ne va pas.

Éditeur visuel.png
Résultat.png

Merci pour vos réponses.


Message déposé par A.Berthomier (discuter) le 15 septembre 2021 à 17:54 (CEST)[]

Réponse apportée ci-dessous.
Bonjour Notification A.Berthomier,
Il suffit d'ajouter le code {{Clr}} ou {{Clr|left}} juste avant la section « Notes et références ».
  • {{Clr}} permet d'exiger que le contenu qui suit ne soit pas à côté ou limité par un élément « flottant » (telle qu'une image)
  • {{Clr|left}} permet de n'appliquer ceci que pour les flottants à gauche (afin de ne pas impacter l'infobox à droite).
Tu peux choisir ce qui convient le mieux.
Bonne soirée.
Edit : depuis l'éditeur visuel, tu te positionne juste avant la section « Notes et références », tu vas dans « Insérer » → « Modèle » → tu saisis « Clr » → tu valide (sans rien saisir dans le champ 1). Par contre, le rendu visuel restera malheureusement incorrect dans l'éditeur visuel (à cause de limitations techniques de l'éditeur). Par contre, après enregistrement, l'apparence sera correcte.
--Tractopelle-jaune (discuter) 15 septembre 2021 à 19:34 (CEST)[]
Merci beaucoup, ça fonctionne! :)
Bonne soirée.
--A.Berthomier (discuter) 15 septembre 2021 à 21:58 (CEST)[]

Difficulté pour remplacer dans un tableau un lien vers une page d'homonymie[modifier le code]

Article(s) ou modèle(s) concerné(s) : Sentier de grande randonnée

Questions : Bonjour. Je souhaite remplacer le lien vers le GR français 131 qui aboutit à une page d'homonymie par GR 131 mais cela décale l'information à l'intérieur de la case réservée au GR 129. Comment bidouiller pour le faire apparaître correctement ? Merci d'avance.


Message déposé par Père Igor (discuter) le 16 septembre 2021 à 23:20 (CEST)[]

Réponse apportée ci-dessous.
Notification Père Igor : Bonjour. ✔️ Corrigé. J'ai substitué trivialement le code du modèle {{SGR}}. (NB: La "bonne" solution serait d'ajouter un paramètre optionnel "GR_lien" dans le modèle)... Cordialement, Csar62 (discuter) 17 septembre 2021 à 05:48 (CEST)[]
Notification Père Igor : J'ai mis le modèle à jour, ainsi dans tous les cas où un article n'a pas le titre standard [[GR xxx]] on peut le spécifier avec {{SGR|xxx|GR_lien=titre|...}}, comme ->ici<-, ça évite la bidouille avec le wikicode du tableau. Cdlt Csar62 (discuter) 18 septembre 2021 à 15:27 (CEST)[]
Notification Csar62 : bonjour et merci. Je l'ai vu et l'ai utilisé pour résoudre une autre homonymie avec la Belgique. Père Igor (discuter) 18 septembre 2021 à 18:32 (CEST)[]

Accessibilité de Wikipedia[modifier le code]

Article(s) ou modèle(s) concerné(s) : Tout Wikipedia

Questions : Comme vous le savez mieux que quiconque, le changement de protocole de sécurité de Wikipedia, Wikimedia, Wiktionary, etc., fin octobre 2020 les a rendus inaccessibles à beaucoup de matériel ancien. Cela me semble incompatible avec l'esprit de partage de ces wikis, et d'autant plus que la notion d'accessibilité est l'une de leurs idées fondatrices. Ils se comportent maintenant comme un hôtel n'autorisant l'entrée qu'aux personnes portant des Rolex, ou des routes réservées aux voitures de moins de N années.

J'ai bien compris que la décision de ce changement de protocole vient a priori d'un bon sentiment, à savoir la protection des termes de recherche des internautes. Mais il existe beaucoup de monde qui ne peut pas se permettre de changer de matériel du jour au lendemain. Il est par exemple nécessaire d'avoir au moins iOS 9 sur les iBidules d'Apple, mais ce système n'est pas installable sur d'anciens appareils fonctionnant par ailleurs très bien. Veuillez ne pas répondre « achetez autre chose ». Le problème ne vient pas de l'appareil, mais de votre décision de ne plus être compatible.

Il me semblerait assez facile de prévoir une passerelle (ou une copie de tout Wikipedia, mais ça demande plus de ressources) toujours accessible via l'ancien protocole d'avant octobre 2020. Rien ne vous interdirait d'afficher un message de mise en garde signalant que la NSA ou n'importe quel hacker peut savoir quelle page de l'encyclopédie vous êtes en train de consulter. Ce serait de toutes façons préférable à ne pas pouvoir la consulter du tout. Honnêtement, une telle passerelle n'est pas bien difficile à programmer. Pourquoi ne pas la proposer aux internautes qui n'ont pas les moyens de changer de matériel ?

Inutile aussi de me renvoyer vers les diverses FAQ indiquant quels sont les systèmes minimum requis. Je les ai lues. Dites-vous juste que pour des raisons purement techniques, vous avez l'année dernière transformé le beau projet généreux de ces wikis en une entreprise commerciale poussant à l'achat de nouveaux ordinateurs, tablettes ou téléphones.

Bien cordialement, Gef_


Message déposé par 194.57.221.135 (discuter) le 17 septembre 2021 à 16:32 (CEST)[]

Réponse apportée ci-dessous.
Pas besoin d'acheter quoi que ce soit, il existe d'autres systèmes d'exploitation qui sont gratuits, légers, faciles à installer et qui sont à jour.
J'ai un ordinateur qui a plus de quinze ans, il tourne avec la dernière version d'Ubuntu sans problème.
Pour ce qui est des iPhone, ce n'est pas un secret qu'il s'agit d'un écosystème fermé qui encourage l'obsolescence programmée, ce n'est pas la faute à Wikipédia. — Thibaut (discuter) 17 septembre 2021 à 18:39 (CEST)[]
J'ajouterais aussi que ce n'est pas par plaisir que les développeurs arrêtent le support des anciens navigateurs.
Il faut comprendre que l'obligation d'une version TLS >= 1.2 n'est pas une lubie, mais répons à un réel enjeu de sécurité. Les failles de sécurité au sein de TLS 1.0 et 1.1 sont sérieuses.
Il n'est malheureusement justement pas possible d'ajouter une « passerelle » pour continuer à accepter ces versions.Cela fait bien longtemps que la plupart des connexions se faisaient majoritairement en TLS => 1.2. Mais le problème de sécurité fondamental des attaques par repli ne pouvait pas être réglé tant que ces versions continuaient d'êtres supportées. C'est l'une des raisons pour lesquelles il n'est tout simplement pas possible d'afficher un message informant des risques avec ces anciennes versions. Car le simple fait d'aller jusqu'à afficher ce message expose la connexion en cours à une version non sécurisée de TLS. Et c'est justement ce que l'on ne veut plus.
En simplifiant, cela consiste en gros à faire croire au serveur Wikimedia que seul TLS 1.0 ou 1.1 est supporté par son navigateur, et qu'il faut par conséquence établir la connexion avec cette version du protocole SSL, exposant ainsi cette connexion aux failles de sécurité des-dits protocoles.
Pendant longtemps, la WMF a continué à permettre aux vieux navigateurs (y compris aussi vieux qu'IE6) de pouvoir consulter l'encyclopédie avec ces anciennes versions du protocole. Tout en favorisant en parallèle la mise en place des connexions HSTS (prévention du risque d'attaque par l'homme du milieu). À savoir aussi que les principaux développeurs de navigateurs web (Microsoft, Google, Apple et Mozilla) ont conjointement décidé de retirer des nouvelles versions de leurs navigateurs le support de TLS 1.0 et 1.1.
Seule l'éradication conjointe du support de ces anciennes versions de chiffrement, tant du côté des serveurs que des navigateurs, permettra d'améliorer la sécurité du web.
--Tractopelle-jaune (discuter) 19 septembre 2021 à 23:34 (CEST)[]
Notification Tractopelle-jaune : Merci à Tractopelle-jaune pour sa réponse motivée. (Celle de Thibaut était un peu contradictoire : il ne faut rien acheter... mais il faut acheter un terminal compatible avec Linux.)
Il me semble assez facile de programmer une passerelle ne mettant pas en danger la sécurité de ces wikis. Il suffit qu'il y ait une action volontaire de la part de l'internaute, c.-à-d. que la passerelle ne soit pas automatique. Ce sera certes pénible, mais moins que de ne pas y avoir accès du tout.
Une méthode simple serait d'avoir une autre adresse, du genre UnprotectedWikipedia.org, récupérant la page à afficher avec le protocole sécurisé actuel (par exemple avec file_get_contents en PHP), et la renvoyant à l'internaute avec l'ancien protocole d'avant octobre 2020.
Comme ça ne présente pas de difficulté technique insurmontable, il y a donc juste une décision politique à prendre, histoire de respecter le principe d'accessibilité sur lequel sont fondés ces wikis.
Je suis hélas conscient du fait que cette question n'intéresse pas ceux qui ont des machines sur lesquelles le protocole sécurisé actuel est possible. Mais le partage des connaissances mérite que l'on pense aussi à ceux qui n'ont pas le même matériel — et qui ne peuvent du coup même pas s'exprimer ici.
Bien cordialement de nouveau, Gef_
-- 194.57.221.135 (discuter) 21 septembre 2021 à 13:47 (CEST)[]
« Celle de Thibaut était un peu contradictoire : il ne faut rien acheter... mais il faut acheter un terminal compatible avec Linux. »
Personne n’a parlé d’acheter, les distributions GNU/Linux peuvent être téléchargées et installées gratuitement sur la majorité des ordinateurs, surtout sur du vieux matériel.
Il existe de nombreux site miroirs de Wikipédia sur Internet ainsi que la possibilité de télécharger une archive qui contient tous les articles (WP:Wikipédia hors-connexion).
Ouvrir un second domaine qui ne serait pas protégé serait exposer les internautes à des vulnérabilités comme une attaque de l’homme du milieu, etc., la WMF n’a pas envie d’endosser cette responsabilité et les adminsys n’ont probablement pas envie de prendre du temps à maintenir un site qui ne serait pas protégé.
Vous pouvez toujours essayer de faire la proposition sur Phabricator mais apparemment leur politique concernant les services en HTTP est qu’ils doivent seulement servir à rediriger vers HTTPS. — Thibaut (discuter) 21 septembre 2021 à 17:36 (CEST)[]
Notification Thibaut120094 : Merci de votre nouvelle réponse, Thibaut.
Il est important de se rappeler que tout ne monde n'a pas de matériel compatible avec Linux. Donc il faudrait acheter quelque chose dans leur cas. Ou se passer de Wikipedia...
Votre suggestion d'un miroir de cette encyclopédie est une excellente idée. Si vous en connaissez un complet et accessible avec l'ancien protocole moins sécurisé, ce serait en effet la solution la plus simple. Malheureusement, tous ceux qui sont cités dans le haut de cette page sont morts, et les deux derniers ne concernent que des sujets très précis. J'ai bien vu qu'il existe Wiki2 pour la version anglaise de Wikipedia, mais aucune illustration ni équation n'apparaît sur de vieux systèmes. Il existe aussi le cache de Google, mais comme tous ses liens pointent vers le site original, pas non plus d'illustrations, d'équations, ni même de liens vers d'autres articles, sur les anciens systèmes incompatibles avec la sécurité actuelle. Il reste certes possible de sauvegarder une page sur Archive.today, pour pouvoir ensuite la lire avec ses images et équations, mais c'est très lent et un peu aberrant.
De telles acrobaties ne font que souligner le problème. Il serait très utile d'avoir un miroir officiel, en lecture seule mais avec l'ancien protocole moins sécurisé. Comme je l'ai souligné précédemment, il ne serait en fait même pas nécessaire de dupliquer l'ensemble du wiki. Il suffirait de programmer une petite passerelle, par exemple en PHP.
Merci aussi de votre suggestion de contacter Phabricator. D'après ce que j'en lis, je m'attends en effet à tomber sur un mur d'incompréhension encore plus épais, donc je ne vais même pas essayer.
Dans l'attente de l'adresse d'un bon miroir accessible à tous ; bien cordialement, Gef_
-- 194.57.221.135 (discuter) 23 septembre 2021 à 18:50 (CEST)[]
Bonjour Bonjour, Gef ! De ce que je lis, certains utilisateurs ici comprennent (en tout cas, mieux que moi), mais j'ai l'impression aussi que ce problème technique est complexe et ne sera pas résolu en deux coups de cuillère à pot. Notification Tractopelle-jaune : me contredira peut-être, s'il s'y connaît. Cela reste à mon avis un sujet intéressant, peut-être important, et susceptible d'apporter des améliorations futures. Je ne mesure pas l'ampleur du blocage, en France et dans le Monde, mais déjà ce témoignage est à coup sûr significatif. Merci du partage -- Basile Morin (discuter) 24 septembre 2021 à 04:30 (CEST)[]
« vous avez l'année dernière transformé le beau projet généreux de ces wikis en une entreprise commerciale [...] » Je crois, et j'espère, que pour une immense majorité de contributeurs, le "généreux projet" ne change pas. Tous ici essaient depuis 20 ans de partager des connaissances dans un esprit d'ouverture et de gratuité. Il y avait auparavant d'autres problèmes techniques, tels que l'accès à internet, tout simplement. Bien sûr, je suis d'accord pour rendre les connexions aussi accessibles que possible. Est-il possible de mesurer quantitativement l'impact que ce "changement de protocole" a entraîné concrètement depuis 2020, avec le nombre d'internautes ainsi privés de Wikipédia ? -- Basile Morin (discuter) 24 septembre 2021 à 04:30 (CEST)[]

Archives du bistro du projet Médecine[modifier le code]

Article(s) ou modèle(s) concerné(s) : Bistro du projet médecine


Questions : Bonjour!
Le lien sur le bistro du projet médecine pour atteindre les archives de 2020 mène aux archives de 2019, alors qu'il devrait mener , mais je n'arrive à corriger cela en jouant avec le code de la page.
Est-ce quelqu'un de plus futé que moi pourrait réparer cela?
Désolé si je soumets ma requête au mauvais endroit, et merci!

Message déposé par Croustipoulet (discuter) le 18 septembre 2021 à 18:03 (CEST)[]

Réponse apportée ci-dessous.
Notification Croustipoulet : Bonjour ✔️ Corrigé. Cdlt, Csar62 (discuter) 18 septembre 2021 à 18:24 (CEST)[]

Modèles trop nombreux ?[modifier le code]

Article(s) ou modèle(s) concerné(s) : Nicolas Sarkozy

Questions : Le modèle Portail ne s'affiche pas dans l'article alors je me demande si c'est pas dû au fait qu'il y ait trop de modèles dans l'article. En effet, j'ai remarqué qu'en grand nombre, ils posaient parfois des problèmes. Je me trompe ?


Message déposé par Bogatyr (discuter) le 19 septembre 2021 à 07:53 (CEST)[]

Réponse apportée ci-dessous.
Effectivement, la page apparaît dans Catégorie:Page contenant trop d'inclusions de modèles. Une manière de réduire le poids des modèles est de remplacer les appels au modèle {{date}} par des appels au modèle {{date rapide}}, conçu à cet effet. Cela nécessite d'écrire les mois en toute lettres, ce qui n'est pas le cas actuellement, et ne permet pas de remplacer le modèle {{date-}}, mais ça suffira peut-être à résoudre le problème.
Mokhran (discuter) 19 septembre 2021 à 22:43 (CEST)[]
Il y a 48 occurrences du modèle {{Date}} dans l'article, les remplacer par {{Date rapide}} ne suffit pas à diminuer le nombre de modèles: en prévisualisant l'article avec la modif, on a le message d'erreur en clair : « Attention : cette page contient trop d’inclusions de modèles. Certaines inclusions ne seront pas effectuées. ». Csar62 (discuter) 20 septembre 2021 à 05:23 (CEST)[]
C’est les ressources qu’utilisent les modèles qui compte, pas le nombre de modèles.
{{date}} utilise Lua qui est plus gourmand en ressources que les modèles en wikicode comme {{date rapide}}. — Thibaut (discuter) 20 septembre 2021 à 15:16 (CEST)[]
J'ai transformé 140 {{date-}} en {{date rapide}} et ça ne change rien donc la solution est ailleurs... - Bogatyr (discuter) 21 septembre 2021 à 21:34 (CEST)[]
Il y a probablement quelques palettes qu'on pourrait enlever... Il y en a beaucoup trop... — Thibaut (discuter) 21 septembre 2021 à 21:51 (CEST)[]
Sinon, pour enlever des modèles, il est possible d'écrire {{subst:<nom du modèle>}} et le modèle sera remplacé automatiquement par le wikicode généré.--138.195.144.210 (discuter) 21 septembre 2021 à 21:54 (CEST)[]
Ce n'est pas conseillé dans les articles. — Thibaut (discuter) 21 septembre 2021 à 22:40 (CEST)[]
✔️ J'ai enlevé quelques palettes concernant les gouvernements Fillon et le problème est réglé. Merci. Cordialement, Bogatyr (discuter) 21 septembre 2021 à 22:47 (CEST)[]